commit:     4362de395cc947d94cc76b83c49c1658f97d11b5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  9 10:00:54 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb  9 16:00:02 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4362de39

dev-util/lldb: Bump to 6.0.0rc2

 dev-util/lldb/Manifest              |   2 +
 dev-util/lldb/lldb-6.0.0_rc2.ebuild | 119 ++++++++++++++++++++++++++++++++++++
 2 files changed, 121 insertions(+)

diff --git a/dev-util/lldb/Manifest b/dev-util/lldb/Manifest
index 80705eecf79..67c3608fa5f 100644
--- a/dev-util/lldb/Manifest
+++ b/dev-util/lldb/Manifest
@@ -1,4 +1,6 @@
 DIST lldb-4.0.1.src.tar.xz 19088212 BLAKE2B 
0fcc76de5777c0724a207330bc5e027065fa55628506fe8cbd4f4e7ab397fc3802ae9580a8e41e14c1b3448453c1f735725100fb69c3048a44bd9e5748ab3cfa
 SHA512 
1d94d7dfcc0614b16d0ef83436bbe814b39e34ba18394361bb9f13ad408ae9b29affa9a5d58c50c8dcd83765a39ae4d59ffabb7d8cd1358fd2fbd198b2de2ab6
 DIST lldb-5.0.1.src.tar.xz 19225084 BLAKE2B 
82a0f5d40e6278147e4e2d9c7bbf0c19e512ce92c39e4ea0d9a830bf53a343c233aa528ffc3512072017ea2ffc7e6e57d1f13f9bac84a9446e41fb29f35a9da3
 SHA512 
ebb3c3251098cfce28ccb6a5bbc50491a16b88d1adf3c71fd38efc95482d702e1bd9e7fb11c29597304d97cc0fd88241c70ec11276426aad901e5d23f05ca53a
+DIST lldb-6.0.0rc2.src.tar.xz 19317792 BLAKE2B 
2cb112258efd8aa78a7ac2c9ae94f0d0bd908037387c0067067fd269bc41e8ec8532631875095b07c47b5abde3f7d4cf185e46254f10c075a9d7971a1cdecda7
 SHA512 
4a027344848e9f5bed0089ca2bf657a3df5dc9fcc5b1d2fd3d8ff3a7dba71986331fc53cb39092049f705bb18fa85b57cf15a81e02fe2399759fc5e197ebaa5c
 DIST llvm-4.0.1.src.tar.xz 21065652 BLAKE2B 
6327eed2d1feb108440f22d2581d1ff86c10a10c29793538d8d899c7e2dc83d3f7b147d3fd4bcce2bd2bf57c071b08c624aeafe40a3e7a3914506e7751727e6c
 SHA512 
16adc39b34ddb628f81b171119a8e2a0e9138b25011e803ef0b688e2fbea116fc4953d3a1b61b90a98a75e33619f81566b7cb06a9a2ea4d04ac5e0eb303a2d1d
 DIST llvm-5.0.1.src.tar.xz 23428720 BLAKE2B 
3db4d33df21018d17eef0042c0d8d82a8412bd5daa99cfb5405a6ec83c5774178fa76b220e8731c2a9a64dabf898aa90fe29c685327bd63a4f078e8e94a9a77e
 SHA512 
bee1d45fca15ce725b1f2b1339b13eb6f750a3a321cfd099075477ec25835a8ca55b5366172c4aad46592dfd8afe372349ecf264f581463d017f9cee2d63c1cb
+DIST llvm-6.0.0rc2.src.tar.xz 25288140 BLAKE2B 
095f054ce2ccb1eee3def2b8c6cecc610c4392283062338aa20d2de33c951484a2dc6774db2727e19e879307cfc95dda2730185cde8e52f4f45851d8dd809b3e
 SHA512 
3cb3521ba8d90bf2a90c49d753ab5e92f1e0ccfc86946f3767c06d0f276e2c4cf8ff2f984680835efbaa4dae1cd2d3a074468e547785e05a67ea55311b94a0e9

diff --git a/dev-util/lldb/lldb-6.0.0_rc2.ebuild 
b/dev-util/lldb/lldb-6.0.0_rc2.ebuild
new file mode 100644
index 00000000000..a467ce64fab
--- /dev/null
+++ b/dev-util/lldb/lldb-6.0.0_rc2.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+: ${CMAKE_MAKEFILE_GENERATOR:=ninja}
+# (needed due to CMAKE_BUILD_TYPE != Gentoo)
+CMAKE_MIN_VERSION=3.7.0-r1
+PYTHON_COMPAT=( python2_7 )
+
+inherit cmake-utils llvm python-single-r1 toolchain-funcs
+
+MY_P=${P/_/}.src
+LLVM_P=llvm-${PV/_/}.src
+
+DESCRIPTION="The LLVM debugger"
+HOMEPAGE="https://llvm.org/";
+SRC_URI="http://prereleases.llvm.org/${PV/_//}/${MY_P}.tar.xz
+       test? ( http://prereleases.llvm.org/${PV/_//}/${LLVM_P}.tar.xz )"
+
+LICENSE="UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="libedit ncurses python test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       libedit? ( dev-libs/libedit:0= )
+       ncurses? ( >=sys-libs/ncurses-5.9-r3:0= )
+       python? ( dev-python/six[${PYTHON_USEDEP}]
+               ${PYTHON_DEPS} )
+       ~sys-devel/clang-${PV}[xml]
+       ~sys-devel/llvm-${PV}
+       !<sys-devel/llvm-4.0"
+# swig-3.0.9+ generates invalid wrappers, #598708
+# upstream: https://github.com/swig/swig/issues/769
+DEPEND="${RDEPEND}
+       python? ( <dev-lang/swig-3.0.9 )
+       test? ( ~dev-python/lit-${PV}[${PYTHON_USEDEP}] )
+       ${PYTHON_DEPS}"
+
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+S=${WORKDIR}/${MY_P}
+
+# least intrusive of all
+CMAKE_BUILD_TYPE=RelWithDebInfo
+
+pkg_setup() {
+       LLVM_MAX_SLOT=${PV%%.*} llvm_pkg_setup
+       python-single-r1_pkg_setup
+}
+
+src_unpack() {
+       einfo "Unpacking ${MY_P}.tar.xz ..."
+       tar -xf "${DISTDIR}/${MY_P}.tar.xz" || die
+
+       if use test; then
+               einfo "Unpacking parts of ${LLVM_P}.tar.xz ..."
+               tar -xf "${DISTDIR}/${LLVM_P}.tar.xz" \
+                       "${LLVM_P}"/{lib/Testing/Support,utils/unittest} || die
+               mv "${LLVM_P}" llvm || die
+       fi
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DLLDB_DISABLE_CURSES=$(usex !ncurses)
+               -DLLDB_DISABLE_LIBEDIT=$(usex !libedit)
+               -DLLDB_DISABLE_PYTHON=$(usex !python)
+               -DLLDB_USE_SYSTEM_SIX=1
+               -DLLVM_ENABLE_TERMINFO=$(usex ncurses)
+
+               -DLLDB_INCLUDE_TESTS=$(usex test)
+
+               # TODO: fix upstream to detect this properly
+               -DHAVE_LIBDL=ON
+               -DHAVE_LIBPTHREAD=ON
+
+               # normally we'd have to set LLVM_ENABLE_TERMINFO, HAVE_TERMINFO
+               # and TERMINFO_LIBS... so just force FindCurses.cmake to use
+               # ncurses with complete library set (including autodetection
+               # of -ltinfo)
+               -DCURSES_NEED_NCURSES=ON
+       )
+       use test && mycmakeargs+=(
+               -DLLVM_BUILD_TESTS=$(usex test)
+               # compilers for lit tests
+               -DLLDB_TEST_C_COMPILER="$(type -P clang)"
+               -DLLDB_TEST_CXX_COMPILER="$(type -P clang++)"
+
+               -DLLVM_MAIN_SRC_DIR="${WORKDIR}/llvm"
+               -DLLVM_EXTERNAL_LIT="${EPREFIX}/usr/bin/lit"
+               -DLLVM_LIT_ARGS="-vv"
+       )
+
+       cmake-utils_src_configure
+}
+
+src_test() {
+       cmake-utils_src_make check-lldb-lit
+       use python && cmake-utils_src_make check-lldb
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       # oh my...
+       if use python; then
+               # remove custom readline.so for now
+               # TODO: figure out how to deal with it
+               # upstream is basically building a custom readline.so with 
-ledit
+               # to avoid symbol collisions between readline and libedit...
+               rm "${D}$(python_get_sitedir)/readline.so" || die
+
+               # byte-compile the modules
+               python_optimize
+       fi
+}

Reply via email to